Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QMessageBox.ButtonRole

    java.lang.Object
      java.lang.Enum<QMessageBox.ButtonRole>
          com.trolltech.qt.gui.QMessageBox.ButtonRole

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QMessageBox.ButtonRole>

Enclosing class:
  QMessageBox

    public static enum QMessageBox.ButtonRole

extends java.lang.Enum<QMessageBox.ButtonRole>
implements QtEnumerator

This enum describes the roles that can be used to describe buttons in the button box. Combinations of these roles are as flags used to describe different aspects of their behavior.

See Also:
  `StandardButton`

Enum Constant Summary
`AcceptRole` Clicking the button causes the dialog to be accepted (e.g. OK).
`ActionRole` Clicking the button causes changes to the elements within the dialog, without closing the dialog.
`ApplyRole` The button applies current changes.
`DestructiveRole` Clicking the button causes a destructive change (e.g. for Discarding Changes) and closes the dialog.
`HelpRole` The button can be clicked to request help.
`InvalidRole` The button is invalid.
`NoRole` The button is a "No"-like button.
`NRoles` Internal.
`RejectRole` Clicking the button causes the dialog to be rejected (e.g. Cancel).
`ResetRole` The button resets the dialog's fields to default values.
`YesRole` The button is a "Yes"-like button.

Method Summary
`static QMessageBox.ButtonRole` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QMessageBox.ButtonRole` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QMessageBox.ButtonRole[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### InvalidRole

    public static final QMessageBox.ButtonRole InvalidRole

  The button is invalid.

### AcceptRole

    public static final QMessageBox.ButtonRole AcceptRole

  Clicking the button causes the dialog to be accepted (e.g. OK).

### RejectRole

    public static final QMessageBox.ButtonRole RejectRole

  Clicking the button causes the dialog to be rejected (e.g. Cancel).

### DestructiveRole

    public static final QMessageBox.ButtonRole DestructiveRole

  Clicking the button causes a destructive change (e.g. for Discarding Changes) and closes the dialog.

### ActionRole

    public static final QMessageBox.ButtonRole ActionRole

  Clicking the button causes changes to the elements within the dialog, without closing the dialog.

### HelpRole

    public static final QMessageBox.ButtonRole HelpRole

  The button can be clicked to request help.

### YesRole

    public static final QMessageBox.ButtonRole YesRole

  The button is a "Yes"-like button.

### NoRole

    public static final QMessageBox.ButtonRole NoRole

  The button is a "No"-like button.

### ResetRole

    public static final QMessageBox.ButtonRole ResetRole

  The button resets the dialog's fields to default values.

### ApplyRole

    public static final QMessageBox.ButtonRole ApplyRole

  The button applies current changes.

### NRoles

    public static final QMessageBox.ButtonRole NRoles

  Internal.

Method Detail

### values

    public static final QMessageBox.ButtonRole[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QMessageBox.ButtonRole c : QMessageBox.ButtonRole.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QMessageBox.ButtonRole valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QMessageBox.ButtonRole resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD